---
names: 
  full: "Google GCE Instance has a public IP address"
  contextual: "Instance has a public IP address"
description: "Compute instances should not be configured to have external IP addresses."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/04/09
  - /frameworks/cloudaware/resource-security/public-and-anonymous-access
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/ComputeEngine/instances-with-public-ip-addresses.html"
      name: "Check for Virtual Machine Instances with Public IP Addresses"
